package opc.ua.addressspace.datatype;

public class Argument {

	private String name;
	private NodeId type;
	private int valueRank;
	private long[] arrayDimensions;
	private LocalizedText Description;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public NodeId getType() {
		return type;
	}
	public void setType(NodeId type) {
		this.type = type;
	}
	public int getValueRank() {
		return valueRank;
	}
	public void setValueRank(int valueRank) {
		this.valueRank = valueRank;
	}
	public long[] getArrayDimension() {
		return arrayDimensions;
	}
	public void setArrayDimension(long[] arrayDimensions) {
		this.arrayDimensions = arrayDimensions;
	}
	public LocalizedText getDescription() {
		return Description;
	}
	public void setDescription(LocalizedText description) {
		Description = description;
	}
	
}
